Bug 145275 - Network manager will not connect to internet
Network manager will not connect to internet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 11:04 EST by jim
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 15:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
3 text files (1.91 KB, application/x-gzip)
2005-01-16 11:04 EST, jim
no flags Details

  None (edit)
Description jim 2005-01-16 11:04:05 EST
Description of problem:
See the attached text files

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

connection
Additional info:
Comment 1 jim 2005-01-16 11:04:43 EST
Created attachment 109841 [details]
3 text files
Comment 2 Dan Williams 2005-01-29 17:50:39 EST
Can you try with a more recent version of NetworkManager?  FC3-updates
has a cvs20050119.2.fc3 version that has some DNS changes.
Comment 3 jim 2005-01-29 18:22:19 EST
here is what drivers & versions on NM I have

ipw2200-0.21-21.rhfc3.at  <--- Wireless Driver

NetworkManager-0.3.3-1.cvs20050119.2.fc3
NetworkManager-gnome-0.3.3-1.cvs20050119.2.fc3

all is working now... 
Comment 4 jim 2005-02-03 11:31:10 EST
the only problem i have now is when i reboot or shut down  named
causes errors if you would like, i could start a new bug pertaining to
named. hered is what i have from var/log/messages

Feb  3 09:56:01 JimsNotebook atd: atd shutdown succeeded
Feb  3 09:56:02 JimsNotebook xfs[4045]: terminating 
Feb  3 09:56:03 JimsNotebook NetworkManager: exiting...
Feb  3 09:56:03 JimsNotebook xfs: xfs shutdown succeeded
Feb  3 09:56:03 JimsNotebook gpm: gpm shutdown succeeded
Feb  3 09:56:03 JimsNotebook sshd: sshd -TERM succeeded
Feb  3 09:56:03 JimsNotebook smartd[3957]: smartd received signal 15:
Terminated 
Feb  3 09:56:03 JimsNotebook smartd[3957]: smartd is exiting (exit
status 0) 
Feb  3 09:56:04 JimsNotebook smartd: smartd shutdown succeeded
Feb  3 09:56:04 JimsNotebook kernel: audit(1107442564.740:0): avc: 
denied  { read } for  pid=15385 exe=/usr/sbin/rndc name=hosts dev=hda8
ino=460335 scontext=user_u:system_r:ndc_t
tcontext=system_u:object_r:file_t tclass=file
Feb  3 09:56:04 JimsNotebook kernel: audit(1107442564.755:0): avc: 
denied  { read } for  pid=15512 exe=/usr/sbin/rndc name=hosts dev=hda8
ino=460335 scontext=user_u:system_r:ndc_t
tcontext=system_u:object_r:file_t tclass=file
Feb  3 09:56:04 JimsNotebook acpid: acpid shutdown succeeded
Feb  3 09:56:05 JimsNotebook crond: crond shutdown succeeded
Comment 5 Dan Williams 2005-02-03 11:52:42 EST
Technically on FC3 you no longer need named+caching-nameserver, which
will remain true for a long time.  You can "yum remove bind
caching-nameserver" and that should fix the issue... (or "rpm -e bind
caching-nameserver")
Comment 6 jim 2005-02-03 13:09:15 EST
Thats funny, after I started useing NM and couldn't connect to the
internet, i was told that named needed to be running, and once it was,
i was able to connect. 
Comment 7 Dan Williams 2005-05-16 15:49:25 EDT
Should already be fixed in FC3 updates and FC4.  FC3 no longer uses named.

Note You need to log in before you can comment on or make changes to this bug.